<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Formularz</title>
		<script src="form.js" defer></script>

    </head>
    <style>
        .form .error {
    color:#DB083E;
}
.form .error input[type=text],
.form .error input[type="url"],
.form .error input[type="email"],
.form .error textarea,
.form .error select {
    color: #DB083E;
    border-color: #DB083E;
    background: #FFEDED url(field-error.png) no-repeat;
    background-position: calc(100% - 10px) center;
    padding-right:40px;
}
.form .error textarea {
    background-position: calc(100% - 10px) 10px;
}
.form .error input[type="radio"],
.form .error input[type="checkbox"] {
    border-color: #DB083E;
    background: #FFEDED;
}
.form .error select {
    background-image: none;
    padding-right:4px;
}
    </style>
    <body>
<form class="form" action="adres-do-wysylki" method="post">
    <div class="form-row">
        <label for="formName">Tekst</label>
        <input type="text" id="formName" placeholder="Może być puste" />
    </div>

    <div class="form-row">
        <label for="formDate">Data</label>
        <input type="text" id="formDate" pattern="^\d{2}\.\d{2}\.\d{4}$" required placeholder="dd.mm.rrrr" />
    </div>

    <div class="form-row">
        <label for="formUrl">URL</label>
        <input type="url" id="formUrl" required placeholder="http://" />
    </div>

    <div class="form-row">
        <label for="formEmail" >Email</label>
        <input type="email"  id="formEmail" required placeholder="Email" />
    </div>

    <div class="form-row">
        <label for="formMessage">Wpisz tylko abc</label>
        <textarea id="formMessage" required pattern="^abc$"></textarea>
    </div>

    <div class="form-row">
        <label for="formThing">Wybierz</label>
        <select id="formThing" required>
            <option value="">Wybierz coś</option>
            <option value="1">Super opcja 1</option>
            <option value="2">Super opcja 2</option>
        </select>
    </div>

    <fieldset class="form-row">
        <label>Zaznacz</label>
        <input type="radio" required name="test1" /> 1
        <input type="radio" required name="test1" /> 2
        <input type="radio" required name="test1" /> 3
        <input type="radio" required name="test1" /> 4
        <input type="radio" required name="test1" /> 5
    </fieldset>

    <fieldset class="form-row">
        <label>Zaznacz</label>
        <input type="checkbox" required name="test2" /> 1
        <input type="checkbox" required name="test2" /> 2
        <input type="checkbox" required name="test2" /> 3
        <input type="checkbox" required name="test2" /> 4
        <input type="checkbox" required name="test2" /> 5
    </fieldset>

    <div class="form-row">
        <input type="submit" value="Wyślij" />
    </div>
</form>

    </body>
</html>